From 298e0ee5dbe06b991559751b8d5cba51d4986a9c Mon Sep 17 00:00:00 2001
From: Sascha Markus <s.ascha.markus@gmail.com>
Date: Mon, 28 May 2018 21:14:03 +0000
Subject: [PATCH] feature/11689-WhisperBack-Enforce-70-character-limit

---
 whisperBack/gui.py   |  3 ++-
 whisperBack/utils.py | 15 +++++++++++++++
 2 files changed, 17 insertions(+), 1 deletion(-)

diff --git a/whisperBack/gui.py b/whisperBack/gui.py
index 2621823..18e3ea8 100644
--- a/whisperBack/gui.py
+++ b/whisperBack/gui.py
@@ -223,10 +223,11 @@ class WhisperBackUI(object):
         self.main_window.set_sensitive(False)
 
         self.backend.subject = self.subject.get_text()
-        self.backend.message = self.message.get_buffer().get_text(
+        message_text = self.message.get_buffer().get_text(
                                self.message.get_buffer().get_start_iter(),
                                self.message.get_buffer().get_end_iter(),
                                include_hidden_chars=False)
+        self.backend.message = whisperBack.utils.wrap_text(message_text) 
         if self.contact_email.get_text():
             try:
                 self.backend.contact_email = self.contact_email.get_text()
diff --git a/whisperBack/utils.py b/whisperBack/utils.py
index e84c624..d06ad92 100644
--- a/whisperBack/utils.py
+++ b/whisperBack/utils.py
@@ -29,6 +29,7 @@ import os
 import re
 import urllib.parse
 import locale
+from textwrap import TextWrapper
 
 # Ugly pathes finder utilities
 
@@ -224,3 +225,17 @@ def sanitize_hardware_info(log_string):
                         r'[MAC REMOVED]',
                         log_string)
     return log_string
+
+
+def wrap_text(text):
+    """Wraps long lines of text to a width of 70 chars
+    @param text the string to be wrapped
+
+    @return The wrapped text"""
+
+    wrapper = TextWrapper()
+    wrapped = list()
+    for line in text.split('\n'):
+        wrapped_line = wrapper.fill(line)
+        wrapped.append(wrapped_line)
+    return '\n'.join(wrapped)
-- 
2.11.0

